Skip to main content
POST
Create bulk enrollments from the funnel

Authorizations

Authorization
string
header
required

JWT authentication token

Headers

x-company-id
string

Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.

Path Parameters

campaignId
string
required

Campaign ID

Body

application/json
agent_id
string
required

ID of the funnel (agent) whose contacts will be enrolled.

agent_step_id
string

Funnel step ID. If sent, only the contacts in that step are enrolled.

match_criteria
object

Field filters that narrow down the funnel's contacts.

Response

201